## qtcurve 1.8.18+git20150711

=== qt5/CMakeLists.txt ===
if(QTC_QT5_ENABLE_QTQUICK2)
  set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5Quick Qt5DBus)
else()
  set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5DBus)
endif()

if(ENABLE_QT5 AND NOT ENABLE_QT5_DEFINED)
  # ENABLE_QT5 is not defined on the command line
  foreach(QtModule ${QTC_QT5_MODULES})
    find_package(${QtModule})
    if(NOT ${QtModule}_FOUND)
      message(WARNING "Required Qt5 Module ${QtModule} not found."
        "Disabling Qt5 build")
      set(ENABLE_QT5 Off)
      set(ENABLE_QT5 Off PARENT_SCOPE)
      break()
    endif()
  endforeach()
endif()

add_definitions(-DQTC_UTILS_QT5 -DQTC_UTILS_QT)

if(ENABLE_QT5)
  set(QTC_QT5_LINK_LIBS)
  set(QTC_QT5_DEFS)
  set(QTC_QT5_INCLUDES)
  foreach(QtModule ${QTC_QT5_MODULES})
    find_package(${QtModule} REQUIRED)
    set(QTC_QT5_LINK_LIBS ${QTC_QT5_LINK_LIBS} ${${QtModule}_LIBRARIES})
    set(QTC_QT5_DEFS ${QTC_QT5_DEFS} ${${QtModule}_DEFINITIONS})
    set(QTC_QT5_INCLUDES ${QTC_QT5_INCLUDES} ${${QtModule}_INCLUDE_DIRS})
  endforeach()
  if(NOT APPLE)
    set(QTC_QT5_OPT_MODULES Qt5X11Extras)
  endif()
  foreach(QtModule ${QTC_QT5_OPT_MODULES})
    find_package(${QtModule})
    if(${QtModule}_FOUND)
      set(QTC_QT5_LINK_LIBS ${QTC_QT5_LINK_LIBS} ${${QtModule}_LIBRARIES})
      set(QTC_QT5_DEFS ${QTC_QT5_DEFS} ${${QtModule}_DEFINITIONS})
      set(QTC_QT5_INCLUDES ${QTC_QT5_INCLUDES} ${${QtModule}_INCLUDE_DIRS})
    endif()
  endforeach()
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
    IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
    OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(QTCURVE_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")
  include_directories(
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_BINARY_DIR}")
  add_definitions(-DTRANSLATION_DOMAIN=\"qtcurve\" ${QTC_QT5_DEFS})
  include_directories(${QTC_QT5_INCLUDES})
  configure_file(config-qt5.h.in config-qt5.h @ONLY)

  if(QTC_QT5_ENABLE_KDE)
    find_package(ECM 1.2.0 REQUIRED NO_MODULE)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}
      ${ECM_KDE_MODULE_DIR})

    find_package(KF5 REQUIRED COMPONENTS
      Archive
      Config
      ConfigWidgets
      I18n
      KDELibs4Support
      KIO
      WidgetsAddons
      XmlGui)

    # add_definitions(-DQTC_QT5_ENABLE_KDE)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
    include(KDECompilerSettings)
  endif()
else()
  set(QTC_QT5_ENABLE_KDE Off)
  set(QTC_QT5_ENABLE_KWIN Off)
endif()

add_subdirectory(common)
add_subdirectory(config)
# add_subdirectory(kwin)
# add_subdirectory(kwinconfig)
add_subdirectory(style)

=== qt5/style/CMakeLists.txt ===
set(qtcurve_SRCS
  prepolish.cpp
  qtcurve.cpp
  qtcurve_api.cpp
  qtcurve_plugin.cpp
  qtcurve_primitive.cpp
  qtcurve_utils.cpp
  windowmanager.cpp
  blurhelper.cpp
  utils.cpp
  shortcuthandler.cpp
  argbhelper.cpp
  shadowhelper.cpp)
set(qtcurve_MOC_HDRS
  qtcurve.h
  qtcurve_p.h
  qtcurve_plugin.h
  windowmanager.h
  blurhelper.h
  shortcuthandler.h
  argbhelper.h
  shadowhelper.h)

translate_add_sources(${qtcurve_SRCS} ${qtcurve_MOC_HDRS})

if(NOT ENABLE_QT5)
  return()
endif()

if(QTC_QT5_ENABLE_QTQUICK2)
  add_definitions(-DQTC_QT5_ENABLE_QTQUICK2=1)
endif()

set(qtcurve_style_common_SRCS
  ../common/common.cpp
  ../common/config_file.cpp)

foreach(pngname check_on check_x_on dialog_error dialog_information
    dialog_warning)
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h"
    COMMAND "${PROJECT_BINARY_DIR}/tools/qt-dump-png"
    "${PROJECT_SOURCE_DIR}/data/${pngname}.png" "qtc_${pngname}"
    "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h"
    DEPENDS qt-dump-png "${PROJECT_SOURCE_DIR}/data/${pngname}.png")
  add_custom_target(qtc_qt5_${pngname}_hdr
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h")
endforeach()

set(qtcurve_SRCS ${qtcurve_SRCS} ${qtcurve_style_common_SRCS})

add_definitions(-DQT_PLUGIN)
include_directories(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_BINARY_DIR}"
  ${Qt5Widgets_PRIVATE_INCLUDE_DIRS})
if(NOT QTC_QT5_ENABLE_KDE)
  qt5_wrap_cpp(qtcurve_MOC_SRCS ${qtcurve_MOC_HDRS})
else()
  set(qtcurve_MOC_SRCS)
endif()
add_library(qtcurve-qt5 MODULE ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
set_target_properties(qtcurve-qt5 PROPERTIES
  OUTPUT_NAME "qtcurve"
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  PREFIX "")
add_dependencies(qtcurve-qt5 qtc_qt5_check_on_hdr qtc_qt5_check_x_on_hdr
  qtc_qt5_dialog_error_hdr qtc_qt5_dialog_information_hdr
  qtc_qt5_dialog_warning_hdr)
target_link_libraries(qtcurve-qt5 ${QTC_QT5_LINK_LIBS} qtcurve-utils)
install(TARGETS qtcurve-qt5 LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})

if(QTC_QT5_ENABLE_KDE)
  foreach(dir DATA_INSTALL_DIR KDE_INSTALL_DATADIR CMAKE_INSTALL_DATADIR
      SHARE_INSTALL_PREFIX KDE_INSTALL_DATAROOTDIR CMAKE_INSTALL_DATAROOTDIR)
    unset(${dir})
    unset(${dir} CACHE)
  endforeach()
  include(KDEInstallDirs)
  install(FILES qtcurve.themerc
    DESTINATION ${KDE_INSTALL_DATADIR}/kstyle/themes)
endif()

## qtcurve 1.8.18+git20150711-a3fff13

=== debian/changelog ===
qtcurve (1.8.18+git20150711-a3fff13-5) unstable; urgency=medium

  * Update debian/control:
    - package libqtcurve-utils2 now Breaks and Replaces libqtcurve-utils1
      (>= 1.8.18+git20150711-a3fff13-1)
    - move gtk2-engines-qtcurve from Recommends to Suggests in package
      kde-style-qtcurve-qt4
    - move gtk2-engines-qtcurve and kde-style-qtcurve-qt4 from Recommends to
      Suggests in package kde-style-qtcurve-qt5
    - move kwin-decoration-oxygen and oxygen-icon-theme from Recommends to
      Suggests in metapackage qtcurve
  * Simplify debian/gtk2-engines-qtcurve.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Wed, 29 Jul 2015 01:24:17 +0300

qtcurve (1.8.18+git20150711-a3fff13-4) unstable; urgency=medium

  * Move package to unstable: no changes required.
  * This package replaces src:gtk2-engines-qtcurve and src:kde-style-qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 28 Jul 2015 08:56:32 +0300

qtcurve (1.8.18+git20150711-a3fff13-3) experimental; urgency=medium

  * Update debian/control:
    - rename package libqtcurve-utils1 to libqtcurve-utils2 for matching
      sonames
    - rename package kde-style-qtcurve to kde-style-qtcurve-qt4
    - package kde-style-qtcurve-qt4 now Provides, Replaces and Conflicts with
      package kde-style-qtcurve
    - package kde-style-qtcurve-qt4 now recommends kde-style-qtcurve-qt5
    - package gtk2-engines-qtcurve now recommends kde-style-qtcurve-qt4 and
      kde-style-qtcurve-qt5
    - package kde-style-qtcurve-qt5 now recommends gtk2-engines-qtcurve and
      kde-style-qtcurve-qt4

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 12:50:47 +0300

qtcurve (1.8.18+git20150711-a3fff13-2) experimental; urgency=medium

  * Update debian/control:
    - delete kwin-style-qtcurve from Recommends of package kde-style-qtcurve
    - move gtk2-engines-qtcurve from Suggests to Recommends of package
      kde-style-qtcurve
    - remove kwin-style-qtcurve from Depends of metapackage qtcurve

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 11:39:21 +0300

qtcurve (1.8.18+git20150711-a3fff13-1) experimental; urgency=medium

  * Upstream Git snapshot (1.8.18-242-ga3fff13) is taken from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream:
    - gtk2-engines-qtcurve: inkscape 0.91 crashes after palette mouse-over
      (Closes: #786831)
    - gtk2-engines-qtcurve: massive memory leak in mysql-workbench
      (Closes: #682162)
  * Update debian/patches:
    - delete qt53-build-fix.diff (fixed in upstream)
    - add enable-translations.patch
  * Update debian/control:
    - bump Standards-Version to 3.9.6 (was 3.9.5): no changes required
    - update Build-Depends for transition from KDE4 to KF5:
      + delete dependencies from: kdebase-workspace-dev and qtdeclarative5-dev
      + add dependencies from: extra-cmake-modules, kio-dev,
        libkf5archive-dev, libkf5config-dev, libkf5configwidgets-dev,
        libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5widgetsaddons-dev,
        libkf5xmlgui-dev, libqt5x11extras5-dev, libxcb1-dev, pkg-config
        [Thanks to Scarlett Clark]
    - delete package kwin-style-qtcurve: it is not available for KF5 yet
      (LP: #1452218)
    - package kde-style-qtcurve now provides package kde-style-qtcurve-qt4
    - package kde-style-qtcurve is "Multi-Arch: same" now
    - metapackage qtcurve now depends on kde-style-qtcurve-qt5 and recommends
      kwin-decoration-oxygen, oxygen-icon-theme and oxygencursors
  * Update debian/rules:
    - build using kf5 libraries instead of kde4
    - update configure flags
    - use xz compression in packages
  * Update debian/kde-style-qtcurve.install:
    there are no KDE4 related files anymore.
  * Update debian/kde-style-qtcurve-qt5.install.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 04:17:05 +0300

qtcurve (1.8.18-3) experimental; urgency=medium

  * Add patch to fix build with QT 5.3. (Closes: #777128)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 08 Feb 2015 20:18:05 +0530

qtcurve (1.8.18-2) experimental; urgency=medium

  * Move Qt5 style into separate package kde-style-qtcurve-qt5.
  * Package qtcurve now recommends kde-style-qtcurve-qt5.
  * Update description of package qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 13:49:00 +0400

qtcurve (1.8.18-1) experimental; urgency=medium

  * Initial release.  (Closes: #726767)

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 00:22:08 +0400

## qtcurve 1.8.18+git20160112

=== lib/CMakeLists.txt ===
add_subdirectory(utils)
add_subdirectory(cairo)

=== po/CMakeLists.txt ===
if(NOT QTC_INSTALL_PO)
  # TODO
  return()
endif()

find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

if(NOT DEFINED QTC_LOCALE_DIR)
  set(QTC_LOCALE_DIR share/locale)
endif()

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
  message("------\n"
    "NOTE: msgfmt not found. Translations will *not* be installed\n"
    "------\n")
else()
  set(catalogname qtcurve)
  add_custom_target(translations ALL)
  file(GLOB PO_FILES *.po)
  foreach(_poFile ${PO_FILES})
    get_filename_component(_poFileName ${_poFile} NAME)
    string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
    string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
    if(_langCode)
      get_filename_component(_lang ${_poFile} NAME_WE)
      set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
      add_custom_command(TARGET translations
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
        DEPENDS ${_poFile})
      install(FILES ${_gmoFile}
        DESTINATION "${QTC_LOCALE_DIR}/${_langCode}/LC_MESSAGES/"
        RENAME ${catalogname}.mo)
    endif()
  endforeach()
endif()

=== qt5/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
   set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5Quick Qt5DBus)
 else()
   set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5DBus)
+endif()
+if(QTC_QT5_ENABLE_KDE)
+  set(QTC_QT5_MODULES ${QTC_QT5_MODULES} Qt5PrintSupport)
 endif()
 
 if(ENABLE_QT5 AND NOT ENABLE_QT5_DEFINED)
@@ -66,10 +69,12 @@
       I18n
       KDELibs4Support
       KIO
+      GuiAddons
+      IconThemes
       WidgetsAddons
       XmlGui)
 
-    # add_definitions(-DQTC_QT5_ENABLE_KDE)
+    add_definitions(-DQTC_QT5_ENABLE_KDE)
     include(KDEInstallDirs)
     include(KDECMakeSettings)
     include(KDECompilerSettings)

=== gtk2/mozilla/CMakeLists.txt ===
# translate_add_sources(
#   QtCurve.css.in
#   QtCurve-KDEButtonOrder.css.in
#   preferences-rev.xml)

if(NOT ENABLE_GTK2)
  return()
endif()

configure_file(QtCurve.css.in QtCurve.css)
configure_file(QtCurve-KDEButtonOrder.css.in QtCurve-KDEButtonOrder.css)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/QtCurve.css" preferences-rev.xml
  "${CMAKE_CURRENT_BINARY_DIR}/QtCurve-KDEButtonOrder.css"
  DESTINATION "${GTK2_THEME_DIR}/mozilla")

=== qt4/style/CMakeLists.txt ===
set(qtcurve_SRCS
  qtcurve.cpp
  qtcurve_plugin.cpp
  windowmanager.cpp
  blurhelper.cpp
  prepolish.cpp
  utils.cpp
  shortcuthandler.cpp
  argbhelper.cpp
  macmenu.cpp
  shadowhelper.cpp)
set(qtcurve_MOC_HDRS
  qtcurve.h
  qtcurve_p.h
  qtcurve_plugin.h
  windowmanager.h
  blurhelper.h
  shortcuthandler.h
  argbhelper.h
  macmenu.h
  macmenu-dbus.h
  shadowhelper.h)

translate_add_sources(${qtcurve_SRCS} ${qtcurve_MOC_HDRS})

if(NOT ENABLE_QT4)
  return()
endif()

set(qtcurve_style_common_SRCS
  ../common/common.cpp
  ../common/config_file.cpp)

foreach(pngname check_on check_x_on dialog_error dialog_information
    dialog_warning)
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h"
    COMMAND "${PROJECT_BINARY_DIR}/tools/qt-dump-png"
    "${PROJECT_SOURCE_DIR}/data/${pngname}.png" "qtc_${pngname}"
    "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h"
    DEPENDS qt-dump-png "${PROJECT_SOURCE_DIR}/data/${pngname}.png")
  add_custom_target(qtc_qt4_${pngname}_hdr
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h")
endforeach()

set(qtcurve_SRCS
  ${qtcurve_SRCS}
  ${qtcurve_style_common_SRCS})

add_definitions(-DQT_PLUGIN)
include_directories("${CMAKE_CURRENT_BINARY_DIR}"
  "${QT_QTGUI_INCLUDE_DIR}"
  "${QT_QTCORE_INCLUDE_DIR}"
  "${QT_QTDBUS_INCLUDE_DIR}"
  "${QT_QTSVG_INCLUDE_DIR}")
qt4_wrap_cpp(qtcurve_MOC_SRCS ${qtcurve_MOC_HDRS})
add_library(qtcurve-qt4 MODULE ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
add_dependencies(qtcurve-qt4 qtc_qt4_check_on_hdr qtc_qt4_check_x_on_hdr)
set_target_properties(qtcurve-qt4 PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "qtcurve"
  PREFIX "")

if(QTC_QT4_ENABLE_KDE)
  install(FILES qtcurve.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
  set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
  if(NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
    set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS})
  endif()
else()
  add_dependencies(qtcurve-qt4 qtc_qt4_dialog_error_hdr
    qtc_qt4_dialog_information_hdr
    qtc_qt4_dialog_warning_hdr)
endif()

target_link_libraries(qtcurve-qt4
  ${QTC_KDE_LIBS}
  ${QTC_KFILEDIALOG_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTSVG_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  qtcurve-utils)

if(QTC_QT4_ENABLE_KDE)
  install(TARGETS qtcurve-qt4 DESTINATION ${QTCURVE_STYLE_DIR})
else()
  install(TARGETS qtcurve-qt4 LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
endif()

=== qt5/style/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,11 @@
   qtc_qt5_dialog_error_hdr qtc_qt5_dialog_information_hdr
   qtc_qt5_dialog_warning_hdr)
 target_link_libraries(qtcurve-qt5 ${QTC_QT5_LINK_LIBS} qtcurve-utils)
+target_link_libraries(qtcurve-qt5
+    KF5::GuiAddons
+    KF5::IconThemes
+    KF5::KDELibs4Support
+)
 install(TARGETS qtcurve-qt5 LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
 
 if(QTC_QT5_ENABLE_KDE)

## qtcurve 1.8.18+git20160112-0cd6aae

=== debian/changelog ===
qtcurve (1.8.18+git20160112-0cd6aae-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-246-g0cd6aae) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 22 Jan 2016 01:11:26 +0300

=== debian/control ===
Source: qtcurve
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdelibs5-dev,
               kio-dev,
               libcairo2-dev,
               libgtk2.0-dev,
               libkf5archive-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtbase5-private-dev
Homepage: https://github.com/QtCurve/qtcurve
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qtcurve.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qtcurve.git
Standards-Version: 3.9.6

Package: gtk2-engines-qtcurve
Section: gnome
Architecture: any
Depends: ${misc:Depends},
         ${misc:Pre-Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: kde-style-qtcurve-qt4, kde-style-qtcurve-qt5
Multi-Arch: same
Description: QtCurve widget style for applications based on GTK+ 2.x
 This package contains the QtCurve theme engine for GTK+ 2.x.
 .
 This package is most useful when installed together with kde-style-qtcurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: kde-style-qtcurve-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kde-style-qtcurve
Replaces: kde-style-qtcurve
Conflicts: kde-style-qtcurve
Recommends: kde-style-qtcurve-qt5
Suggests: gtk2-engines-qtcurve
Multi-Arch: same
Description: QtCurve widget style for applications based on Qt 4.x
 This package contains the QtCurve widget style for Qt 4.x.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: kde-style-qtcurve-qt5
Architecture: any
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Suggests: gtk2-engines-qtcurve, kde-style-qtcurve-qt4
Multi-Arch: same
Description: QtCurve widget style for applications based on Qt 5.x
 This package contains the QtCurve widget style for Qt 5.x.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: qtcurve-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Provides: qtcurve-i18n
Replaces: qtcurve-i18n
Conflicts: qtcurve-i18n
Description: translation files for QtCurve
 This package contains translation files for QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: qtcurve
Section: metapackages
Architecture: any
Depends: gtk2-engines-qtcurve,
         kde-style-qtcurve-qt4,
         kde-style-qtcurve-qt5,
         qtcurve-l10n,
         ${misc:Depends}
Suggests: kwin-decoration-oxygen, oxygen-icon-theme
Description: unified widget styles for Qt and GTK+ applications (metapackage)
 This package installs all packages related with QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: libqtcurve-utils2
Architecture: any
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Replaces: libqtcurve-utils1 (>= 1.8.18+git20150711-a3fff13-1)
Breaks: libqtcurve-utils1 (>= 1.8.18+git20150711-a3fff13-1)
Multi-Arch: same
Description: common library for QtCurve
 This package contains common library for QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = qtcurve

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs "$(DEBIAN_PATH)")
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --list-missing --with=kf5

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
		-DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt4 \
		-DQTC_QT5_ENABLE_KDE=On \
		-DQTC_QT4_ENABLE_KDE=Off \
		-DQTC_QT4_ENABLE_KWIN=Off \
		-DENABLE_TEST=Off

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

=== debian/watch ===
version=3
https://github.com/QtCurve/qtcurve/tags .*/QtCurve/qtcurve/archive/(.+\d)\.tar\.gz debian uupdate

## qtcurve 1.8.18+git20160320

=== CMakeLists.txt ===
project(QtCurve)

## Temporary
function(translate_add_sources)
endfunction()

## Setup
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}"
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CMakeCMacros)

## Version
set(QTCURVE_VERSION_MAJOR "1")
set(QTCURVE_VERSION_MINOR "8")
set(QTCURVE_VERSION_PATCH "18")
set(QTCURVE_VERSION "${QTCURVE_VERSION_MAJOR}.${QTCURVE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${QTCURVE_VERSION_PATCH}")

find_package(Git QUIET)
add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/version.cpp"
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/tools/gen-version.sh"
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
add_custom_target(gen-git-ver ALL
  COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/gen-version.sh"
  "${CMAKE_CURRENT_BINARY_DIR}/version.cpp" "${QTCURVE_VERSION_FULL}"
  "${GIT_EXECUTABLE}"
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/version.cpp")

## Options
function(qtc_option name doc def_val)
  if(DEFINED "${name}")
    set("${name}_DEFINED" On PARENT_SCOPE)
  else()
    set("${name}_DEFINED" Off PARENT_SCOPE)
    set("${name}" "${def_val}" PARENT_SCOPE)
  endif()
endfunction()
qtc_option(ENABLE_QT4 "Building Qt4 theme." On)
qtc_option(ENABLE_QT5 "Building Qt5 theme." On)
qtc_option(ENABLE_GTK2 "Building Gtk2 theme." On)
# option(ENABLE_GTK3 "Building Gtk3 theme." On)
option(ENABLE_TEST "Enable testing." On)
option(QTC_ENABLE_X11 "Enable X11" On)
option(QTC_INSTALL_PO "Install translation files." On)

qtc_option(QTC_QT4_ENABLE_KDE "Building Qt4 style with KDE4 support." On)
qtc_option(QTC_QT5_ENABLE_KDE
  "Building Qt5 style with KDE Frameworks 5 support." On)

option(QTC_QT4_STYLE_SUPPORT
  "Qt4 support for creating a style for each QtCurve theme." Off)

## Common settings.
# support an infix argument to have different qtcurve-utils libraries, e.g. for
# GTk2, Qt4 and Qt5
qtc_option(QTC_UTILSLIB_INFIX "Infix for having multiple qtcurve-utils's" "")
qtc_option(QTC_KDE4_DEFAULT_HOME
  "Path of kde4 home (relative to user home), for reading old theme files only"
  ".kde4")

if((QTC_KDE4_DEFAULT_HOME STREQUAL ".kde4") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ".kde") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ".kde4/") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ".kde/") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ""))
  set(QTC_KDE4_DEFAULT_HOME_DEFAULT True)
else()
  set(QTC_KDE4_DEFAULT_HOME_DEFAULT False)
endif()

find_package(KDE4 QUIET)
set(KDE4_KDECONFIG_EXECUTABLE)
find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config
  PATHS "${CMAKE_INSTALL_PREFIX}/bin" ${_KDEDIRS} /opt/kde4/bin
  NO_DEFAULT_PATH)
if(NOT KDE4_KDECONFIG_EXECUTABLE)
  find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config)
endif()

function(get_cmd_var varname def cmd)
  if(DEFINED ${varname})
    return()
  endif()
  if(cmd)
    execute_process(COMMAND "${cmd}" ${ARGN} OUTPUT_VARIABLE _cmd_out
      RESULT_VARIABLE _cmd_res)
    if("${_cmd_res}" EQUAL 0)
      string(STRIP "${_cmd_out}" _cmd_out)
    else()
      set(_cmd_out "${def}")
    endif()
  else()
    set(_cmd_out "${def}")
  endif()
  set("${varname}" "${_cmd_out}" PARENT_SCOPE)
endfunction()

function(get_kde_var var def)
  get_cmd_var(_output "${def}" "${KDE4_KDECONFIG_EXECUTABLE}" ${ARGN})
  set(${var} "${_output}" PARENT_SCOPE)
endfunction()

get_kde_var(QTC_KDE4_PREFIX "${CMAKE_INSTALL_PREFIX}" --prefix)
get_kde_var(QTC_KDE4_ICONS_PREFIX "${QTC_KDE4_PREFIX}/share/icons"
  --install icon)

## Handle options
find_package(Libexecinfo)
if(LIBEXECINFO_LIB_FOUND)
  set(QTC_ENABLE_BACKTRACE On)
else()
  set(QTC_ENABLE_BACKTRACE Off)
endif()

if(QTC_ENABLE_X11)
  macro(qtc_check_x11)
    find_package(PkgConfig)
    if(NOT PKG_CONFIG_FOUND)
      message(WARNING "Cannot find pkg-config, disable x11 support.")
      set(QTC_ENABLE_X11 Off)
      set(QTC_X11_FOUND Off)
      return()
    endif()
    unset(__pkg_config_checked_QTC_X11 CACHE)
    # pkg_check_modules(QTC_X11 xcb x11-xcb xrender)
    if(QTC_ENABLE_X11)
      pkg_check_modules(QTC_X11 xcb x11-xcb)
    else()
      pkg_check_modules(QTC_X11 xcb)
    endif()
    if(NOT QTC_X11_FOUND AND QTC_ENABLE_X11)
      message(WARNING
        "Cannot find required modules for x11, disable x11 support.")
      set(QTC_ENABLE_X11 Off)
      return()
    endif()
  endmacro()
  qtc_check_x11()
else()
  set(QTC_X11_FOUND Off)
endif()

if(QTC_X11_FOUND)
  include_directories(${QTC_X11_INCLUDE_DIRS})
  add_definitions(${QTC_X11_CFLAGS})
else()
  include_directories(SYSTEM "${CMAKE_CURRENT_SOURCE_DIR}/lib/xcb-defs")
endif()

if(ENABLE_GTK2 AND NOT ENABLE_GTK2_DEFINED)
  find_package(PkgConfig)
  if(NOT PKG_CONFIG_FOUND)
    message(WARNING "pkg-config not found, disable Gtk2 build.")
    set(ENABLE_GTK2 Off)
  else()
    unset(__pkg_config_checked_GTK2 CACHE)
    pkg_check_modules(GTK2 gtk+-2.0)
    if(NOT GTK2_FOUND)
      message(WARNING "gtk+-2.0 not found, disable Gtk2 build.")
      set(ENABLE_GTK2 Off)
    endif()
  endif()
endif()

if(ENABLE_GTK2)
  find_package(PkgConfig REQUIRED)
  unset(__pkg_config_checked_GTK2 CACHE)
  pkg_check_modules(GTK2 REQUIRED gtk+-2.0)
  if(GTK2_THEME_PREFIX)
    set(GTK2_PREFIX "${GTK2_THEME_PREFIX}")
  elseif(NOT GTK2_PREFIX)
    set(GTK2_PREFIX "${CMAKE_INSTALL_PREFIX}")
  endif()
  if(NOT GTK2_LIBDIR)
    set(GTK2_LIBDIR "${GTK2_PREFIX}/lib")
  endif()
  _pkgconfig_invoke(gtk+-2.0 GTK2 BIN_VERSION "" --variable=gtk_binary_version)
  set(GTK2_THEME_DIR ${GTK2_PREFIX}/share/themes/QtCurve)
endif()

configure_file(config.h.in config.h @ONLY)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
cmake_c_fix_include_path(lib/utils qtcurve-utils)
cmake_c_fix_include_path(lib/cairo qtcurve-cairo)
# glibc 2.20 warns about _BSD_SOURCE if _DEFAULT_SOURCE is not defined.
cmake_c_add_flags(CMAKE_C_FLAGS -Wall -Wextra -Wno-cast-align
  -std=gnu99 -D_DEFAULT_SOURCE)
# Register storage class is deprecated in C++11 but is still used in Qt.
# Use compiler option (-Wno-deprecated-register) to suppress
# the warning in clang++.
# We use `override` in certain Qt Classes but the QObject macro does not use it
# Use compiler option (-Wno-inconsistent-missing-override) to suppress
# the warning in clang++ 3.6+.
cmake_c_add_flags(CMAKE_CXX_FLAGS -Wall -Wextra
  -Wno-deprecated-register -Wno-cast-align
  -Wno-inconsistent-missing-override)
if(NOT APPLE)
  # -std=c++0x is deprecated but gcc < 4.7 do not recognise c++11 ....
  cmake_c_add_flags(CMAKE_CXX_FLAGS -std=c++0x -D_DEFAULT_SOURCE)
  cmake_c_add_flags(CMAKE_SHARED_LINKER_FLAGS -Wl,--as-needed -Wl,--no-undefined)
  cmake_c_add_flags(CMAKE_MODULE_LINKER_FLAGS -Wl,--as-needed -Wl,--no-undefined)
else()
  cmake_c_add_flags(CMAKE_CXX_FLAGS -std=c++11)
endif()
add_definitions("-D_GNU_SOURCE -pthread")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR lib)
endif()

cmake_c_include_fix_path()
add_subdirectory(lib)
add_subdirectory(qt4)
add_subdirectory(qt5)
add_subdirectory(gtk2)
add_subdirectory(tools)
if(ENABLE_TEST)
  enable_testing()
  add_subdirectory(test)
endif()

=== gtk2/CMakeLists.txt ===
add_definitions(-DQTC_UTILS_GTK2 -DQTC_UTILS_GTK)

if(ENABLE_GTK2)
  include_directories(
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_BINARY_DIR}")
endif()

add_subdirectory(common)
add_subdirectory(style)
add_subdirectory(mozilla)

=== qt4/CMakeLists.txt ===
if(ENABLE_QT4 AND NOT ENABLE_QT4_DEFINED)
  # ENABLE_QT4 is not defined on the command line
  find_package(Qt4 4.6.0)
  if(NOT Qt4_FOUND AND NOT QT4_FOUND)
    ## NB: this gets activated on OS X 10.9/MacPorts even when Qt is found,
    ## making it obligatory to define ENABLE_QT4 on the command line
    message(WARNING "Qt4 not found.")
    set(ENABLE_QT4 Off)
    set(ENABLE_QT4 Off PARENT_SCOPE)
  endif()
endif()

add_definitions(-DQTC_UTILS_QT4 -DQTC_UTILS_QT)

if(ENABLE_QT4)
  find_package(Qt4 4.6.0 REQUIRED)
  # search packages used by KDE
  if(QTC_QT4_ENABLE_KDE)
    find_package(KDE4 REQUIRED)
    include(KDE4Defaults)
    set(QTCURVE_STYLE_DIR "${PLUGIN_INSTALL_DIR}/plugins/styles/")
    if(NOT Q_WS_X11 OR NOT QTC_X11_FOUND)
      # Kwin headers uses a lot of xcb types and functions and we cannot
      # provide declarations for all of them even if they are not used.
      if(QTC_QT4_ENABLE_KWIN)
        message(WARNING "KWin4 support require Q_WS_X11 and libxcb headers.")
      endif()
      set(QTC_QT4_ENABLE_KWIN Off)
    elseif(NOT DEFINED QTC_QT4_ENABLE_KWIN)
      find_package(KDE4Workspace)
      set(QTC_QT4_ENABLE_KWIN "${KDE4Workspace_FOUND}")
    elseif(QTC_QT4_ENABLE_KWIN)
      find_package(KDE4Workspace REQUIRED)
    endif()
  else()
    set(QTC_QT4_ENABLE_KWIN Off)
    set(QTCURVE_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")
  endif()
  add_definitions(${QT_DEFINITIONS})
  include_directories(
    "${CMAKE_CURRENT_BINARY_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${QT_INCLUDE_DIR}")

  if(QTC_QT4_ENABLE_KDE)
    add_definitions(${KDE4_DEFINITIONS} -DQTC_QT4_ENABLE_KDE)
    include_directories(${KDE4_INCLUDES})
  endif()
else()
  set(QTC_QT4_ENABLE_KDE Off)
  set(QTC_QT4_ENABLE_KWIN Off)
endif()

add_subdirectory(colors)
add_subdirectory(common)
add_subdirectory(config)
add_subdirectory(themes)
add_subdirectory(kwin)
add_subdirectory(kwinconfig)
add_subdirectory(style)

=== tools/CMakeLists.txt ===
if(ENABLE_QT4 OR ENABLE_QT5)
  set(qt_dump_png_SRCS
    qt_dump_png.cpp)
  add_executable(qt-dump-png ${qt_dump_png_SRCS})
endif()

=== gtk2/common/CMakeLists.txt ===
set(qtc_gtk_common_SRCS
  common.cpp
  config_file.cpp)
set(qtc_gtk_common_HDRS
  common.h
  config_file.h)
translate_add_sources(${qtc_gtk_common_SRCS} ${qtc_gtk_common_HDRS})

=== qt5/config/CMakeLists.txt ===
if(NOT QTC_QT5_ENABLE_KDE)
  return()
endif()

set(kstyle_qtcurve5_config_PART_SRCS
  qtcurveconfig.cpp
  imagepropertiesdialog.cpp
  ../common/common.cpp
  ../common/config_file.cpp
  ../common/kf5_utils.cpp
  ../kwinconfig/qtcurvekwinconfig.cpp
  ../kwin/qtcurveconfig.cpp
  ../kwin/qtcurveshadowconfiguration.cpp)

set(kstyle_qtcurve5_config_export_SRCS
  exportthemedialog.cpp)

set(kstyle_qtcurve5_config_PART_HDRS
  qtcurveconfig.h
  imagepropertiesdialog.h)

set(kstyle_qtcurve5_config_export_HDRS
  exportthemedialog.h)

set(kstyle_qtcurve5_config_UIS
  qtcurveconfigbase.ui
  stylepreview.ui
  imageproperties.ui
  ../kwinconfig/qtcurvekwinconfigwidget.ui)

if(QTC_QT5_STYLE_SUPPORT)
  set(kstyle_qtcurve5_config_PART_SRCS
    ${kstyle_qtcurve5_config_PART_SRCS}
    ${kstyle_qtcurve5_config_export_SRCS})
endif()

translate_add_sources(
  ${kstyle_qtcurve5_config_PART_SRCS}
  ${kstyle_qtcurve5_config_export_SRCS}
  ${kstyle_qtcurve5_config_PART_HDRS}
  ${kstyle_qtcurve5_config_export_HDRS}
  ${kstyle_qtcurve5_config_UIS})

add_definitions(-DCONFIG_WRITE -DCONFIG_DIALOG)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

ki18n_wrap_ui(kstyle_qtcurve5_config_PART_SRCS ${kstyle_qtcurve5_config_UIS})

add_library(kstyle_qtcurve5_config MODULE ${kstyle_qtcurve5_config_PART_SRCS})

target_link_libraries(kstyle_qtcurve5_config Qt5::Core Qt5::Gui Qt5::Widgets)
target_link_libraries(kstyle_qtcurve5_config
  KF5::Archive
  KF5::I18n
  KF5::KDELibs4Support
  KF5::KIOWidgets
  KF5::WidgetsAddons
  KF5::XmlGui)
target_link_libraries(kstyle_qtcurve5_config qtcurve-utils)

install(TARGETS kstyle_qtcurve5_config DESTINATION ${_Qt5_PLUGIN_INSTALL_DIR})

=== qt5/kwinconfig/CMakeLists.txt ===
set(kwin_qtcurve_config_PART_SRCS
  qtcurvekwinconfig.cpp)
set(kwin_qtcurve_config_PART_HDRS
  qtcurvekwinconfig.h)
set(kwin_qtcurve_config_PART_UIS
  qtcurvekwinconfigwidget.ui)

translate_add_sources(${kwin_qtcurve_config_PART_SRCS}
  ${kwin_qtcurve_config_PART_HDRS}
  ${kwin_qtcurve_config_PART_UIS})

if(NOT QTC_QT4_ENABLE_KWIN)
  return()
endif()

set(kwin_qtcurve_config_PART_SRCS
  ${kwin_qtcurve_config_PART_SRCS}
  ../kwin/qtcurveconfig.cpp
  ../kwin/qtcurveshadowconfiguration.cpp)
kde4_add_ui_files(kwin_qtcurve_config_PART_SRCS
  ${kwin_qtcurve_config_PART_UIS})
kde4_add_plugin(kwin_qtcurve_config_kde4 ${kwin_qtcurve_config_PART_SRCS})
set_target_properties(kwin_qtcurve_config_kde4 PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "kwin_qtcurve_config")
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
target_link_libraries(kwin_qtcurve_config_kde4
  ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} qtcurve-utils)
install(TARGETS kwin_qtcurve_config_kde4 DESTINATION ${PLUGIN_INSTALL_DIR})

=== qt5/style/CMakeLists.txt ===
--- 
+++ 
@@ -67,11 +67,13 @@
   qtc_qt5_dialog_error_hdr qtc_qt5_dialog_information_hdr
   qtc_qt5_dialog_warning_hdr)
 target_link_libraries(qtcurve-qt5 ${QTC_QT5_LINK_LIBS} qtcurve-utils)
-target_link_libraries(qtcurve-qt5
+if(QTC_QT5_ENABLE_KDE)
+  target_link_libraries(qtcurve-qt5
     KF5::GuiAddons
     KF5::IconThemes
     KF5::KDELibs4Support
-)
+  )
+endif()
 install(TARGETS qtcurve-qt5 LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
 
 if(QTC_QT5_ENABLE_KDE)

## qtcurve 1.8.18+git20160320-3d8622c

=== debian/changelog ===
qtcurve (1.8.18+git20160320-3d8622c-5build4) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:00:40 -0500

qtcurve (1.8.18+git20160320-3d8622c-5build3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:49:56 -0600

qtcurve (1.8.18+git20160320-3d8622c-5build2) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:22:03 -0500

qtcurve (1.8.18+git20160320-3d8622c-5build1) artful; urgency=medium

  * No-change rebuild against Qt 5.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 05 Aug 2017 00:36:14 -0500

qtcurve (1.8.18+git20160320-3d8622c-5) unstable; urgency=medium

  * Add patch replace-memcmp-with-strncmp. It fixes crash when using QtCurve
    widget style and Breeze preset. (Closes: #865765)
    [Thanks to Sergey Sharybin]

 -- Boris Pek <tehnick@debian.org>  Thu, 03 Aug 2017 15:47:38 +0300

qtcurve (1.8.18+git20160320-3d8622c-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with Qt 5.9. (Closes: #867576)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.0.0 (was 3.9.8): no changes required
    - package qtcurve-l10n is "Multi-Arch: foreign" now
    - package qtcurve is "Multi-Arch: same" now
    - update project Homepage
  * Update debian/watch.
  * Update debian/copyright.
  * Fix debian/*.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Thu, 20 Jul 2017 19:54:29 +0300

qtcurve (1.8.18+git20160320-3d8622c-3) unstable; urgency=medium

  * Add workaround-for-kwin-x11-crashes.patch. (Closes: #823674)

 -- Boris Pek <tehnick@debian.org>  Wed, 11 May 2016 23:52:03 +0300

qtcurve (1.8.18+git20160320-3d8622c-2) unstable; urgency=medium

  * Add fix-segfault-in-qt4-style-on-mouse-move-to-window-title.patch.

 -- Boris Pek <tehnick@debian.org>  Wed, 27 Apr 2016 15:56:27 +0300

qtcurve (1.8.18+git20160320-3d8622c-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-251-g3d8622c) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream: fix build with libc6 >= 2.23.
    (Closes: #818838, LP: #1567791)
  * Update debian/control:
    - bump Standards-Version to 3.9.8 (was 3.9.6): no changes required
    - fix lintian notes vcs-field-uses-insecure-uri
  * Update debian/rules:
    - enable all hardening flags
    - delete override_dh_builddeb target

 -- Boris Pek <tehnick@debian.org>  Tue, 26 Apr 2016 00:18:18 +0300

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
                pkg-kde-tools,
                qtbase5-dev,
                qtbase5-private-dev
-Homepage: https://github.com/QtCurve/qtcurve
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qtcurve.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qtcurve.git
-Standards-Version: 3.9.6
+Homepage: https://cgit.kde.org/qtcurve.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/qtcurve.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/qtcurve.git
+Standards-Version: 4.0.0
 
 Package: gtk2-engines-qtcurve
 Section: gnome
@@ -86,9 +86,7 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Provides: qtcurve-i18n
-Replaces: qtcurve-i18n
-Conflicts: qtcurve-i18n
+Multi-Arch: foreign
 Description: translation files for QtCurve
  This package contains translation files for QtCurve.
  .
@@ -105,6 +103,7 @@
          qtcurve-l10n,
          ${misc:Depends}
 Suggests: kwin-decoration-oxygen, oxygen-icon-theme
+Multi-Arch: same
 Description: unified widget styles for Qt and GTK+ applications (metapackage)
  This package installs all packages related with QtCurve.
  .

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = qtcurve

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs "$(DEBIAN_PATH)")
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKEOPTS = -DLIB_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
            -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt4 \
            -DQTC_QT5_ENABLE_KDE=On \
            -DQTC_QT4_ENABLE_KDE=Off \
            -DQTC_QT4_ENABLE_KWIN=Off \
            -DENABLE_TEST=Off

%:
	dh $@ --parallel --list-missing --with=kf5

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

=== debian/watch ===
version=3
opts="downloadurlmangle=s|tag/\?h=(.*)|snapshot/$1\.tar\.gz|,filenamemangle=s|.*snapshot/(.*)|snapshot/qtcurve-$1\.tar\.gz|" \
    https://cgit.kde.org/qtcurve.git/refs/tags \
    /qtcurve.git/tag/\?h=([\d\.]+) \
        debian uupdate
